# Get1099FormPdf

Retrieve the PDF file for a 1099/1095/W2/1042S form

`GET /1099/forms/{id}/pdf`

**API:** Avalara 1099 & W-9 API Definition
**Tag:** Forms 1099
**API Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/methods/Forms%201099/Get1099FormPdf/

## Description

Retrieve the PDF file for a 1099/1095/W2/1042S form.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The ID of the form |
| `markEdelivered` | boolean | query | No | Optional boolean that if set indicates that the form should be marked as having been successfully edelivered |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request | `ErrorResponse` |
| 401 | Unauthorized |  |
| 404 | Not Found | `ErrorResponse` |
| 500 | Server Error | `ErrorResponse` |

## Example Request

```bash
curl -X GET "https://api.sbx.avalara.com/avalara1099/1099/forms/{id}/pdf" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```